import { MigrationInterface, QueryRunner } from 'typeorm';
export declare class NoticeMembersForeignKeys1780970000000 implements MigrationInterface {
    name: string;
    private foreignKeyExists;
    private alignJoinColumnCollations;
    up(queryRunner: QueryRunner): Promise<void>;
    down(queryRunner: QueryRunner): Promise<void>;
}
